## viewfinderbin viewfinderbin |

## Properties

GstElement * | video-sink | Read / Write
gboolean | disable-converters | Read / Write

## Types and Values

struct | GstViewfinderBin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstViewfinderBin

## Implemented Interfaces

GstViewfinderBin implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | camerabin
author | Thiago Santos <thiago.sousa.santos@collabora.com>
class | Sink/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw(ANY)

## Functions

## Types and Values

### struct GstViewfinderBin

    struct GstViewfinderBin;

## Property Details

### The `“video-sink”` property

      “video-sink”               GstElement *

the video output element to use (NULL = default).

Flags: Read / Write

### The `“disable-converters”` property

      “disable-converters”       gboolean

If video converters should be disabled (must be set on NULL).

Flags: Read / Write

Default value: FALSE